#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hledger-iadd
version:              1.3.19
visibility:           public
id:                   hledger-iadd-1.3.19-FJYaMuuLJMCJikbGiwAZI2
key:                  hledger-iadd-1.3.19-FJYaMuuLJMCJikbGiwAZI2
license:              BSD-3-Clause
copyright:            2018 Hans-Peter Deifel
maintainer:           Hans-Peter Deifel <hpd@hpdeifel.de>
author:               Hans-Peter Deifel <hpd@hpdeifel.de>
homepage:             https://github.com/hpdeifel/hledger-iadd#readme
synopsis:             A terminal UI as drop-in replacement for hledger add
description:
    This is a terminal UI as drop-in replacement for hledger add.

    It improves in the following ways on hledger'\''s add command:

    * Interactive as-you-type completion for
    account names and descriptions with optional
    fuzzy matching.

    * Integrated calculator: Amounts can be written
    as simple sums with real-time feedback on the
    result.

    * All actions while entering a transaction can
    be undone

    * Configurable format for date input. Instead
    of @y\/m\/d@ it is also possible to use other
    formats like the german @d.m.y@.

category:             Finance, Console
abi:                  0d70ac75c7789e7bfa83b2ba647df68f
exposed:              True
exposed-modules:
    AmountParser Brick.Widgets.BetterDialog Brick.Widgets.Border.Utils
    Brick.Widgets.CommentDialog Brick.Widgets.Edit.EmacsBindings
    Brick.Widgets.HelpMessage Brick.Widgets.List.Utils
    Brick.Widgets.WrappedText ConfigParser Data.Time.Ext DateParser
    Model View

import-dirs:          /usr/lib/ghc-9.0.2/site-local/hledger-iadd-1.3.19
library-dirs:         /usr/lib/ghc-9.0.2/site-local/hledger-iadd-1.3.19
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/hledger-iadd
hs-libraries:         HShledger-iadd-1.3.19-FJYaMuuLJMCJikbGiwAZI2
depends:
    base-4.15.1.0 brick-1.6-Dbb3qnqagBwLXD1r3Re4OV containers-0.6.4.1
    directory-1.3.6.2 free-5.1.10-33hWJilYxLh1pDQWKQX5Zx
    hledger-lib-1.31-GzyH2SwthKYLYP0meLTzvg
    megaparsec-9.3.1-4O8gvkmCTKu5idiIpE5hUy
    microlens-0.4.13.1-AoR6D5midYZB5ErWoiySs4
    microlens-mtl-0.2.0.3-1bQnOxrDGVaBhXPSWw1eDJ
    microlens-th-0.4.3.14-AKNvIwdJVYaDQVlM4liVo5
    optparse-applicative-0.17.0.0-1t7fxkFVvXn4R1Ycov0fb text-1.2.5.0
    text-zipper-0.13-36A5g3qblHQ4UM1iAkkV9Q time-1.9.3
    transformers-0.5.6.2
    unordered-containers-0.2.19.1-J4eg8YowQRtEC3N7B7zfuy
    vector-0.13.0.0-HZxUYbi5cfB4SV8TkUpCM2
    vty-5.38-58dhVqUy5myGVjMHQESSWU
    xdg-basedir-0.2.2-DeGg1ryr7ndmwRYCQYweT

haddock-interfaces:   /usr/share/doc/hledger-iadd/html/hledger-iadd.haddock
haddock-html:         /usr/share/doc/hledger-iadd/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

